GOG Galaxy 1.2.67 Improper Privilege Management Vulnerability

Summary

In GOG Galaxy 1.2.67, there is a service that is vulnerable to weak file/service permissions: GalaxyClientService.exe.

Credit:

The information has been provided by Fatih Çelik

The original article can be found at:https://www.gog.com/galaxy


Details

An attacker can put malicious code in a Trojan horse GalaxyClientService.exe. After that, the attacker can re-start this service as an unprivileged user to escalate his/her privileges and run commands on the machine with SYSTEM rights.

 

Vulnerable Systems:

GOG Galaxy 1.2.67

 

CVE Information:

CVE-2020-11827

 

Disclosure Timeline:
Published Date:7/14/2020

Categories: News